const { DataTypes } = require("sequelize");
const sequelize = require("../config/db");
const User = require("./Userm");
const Service = require("./ServiceModel");

const Booking = sequelize.define("Booking", {
  bookingDate: {
    type: DataTypes.DATE,
    allowNull: false,
  },
  startTime: {
    type: DataTypes.TIME,
    allowNull: false,
  },
  endTime: {
    type: DataTypes.TIME,
  },
  status: {
    type: DataTypes.ENUM("pending", "confirmed", "canceled", "completed"),
    defaultValue: "pending",
  },
  totalCost: {
    type: DataTypes.DECIMAL(10, 2),
    allowNull: false,
  },
  paymentStatus: {
    type: DataTypes.ENUM("pending", "paid", "failed"),
    defaultValue: "pending",
  },
});

// Relationships
Booking.belongsTo(User, { as: "client", foreignKey: "clientId" });
Booking.belongsTo(User, { as: "provider", foreignKey: "providerId" });
Booking.belongsTo(Service, { foreignKey: "serviceId" });

module.exports = Booking;
