const { DataTypes } = require("sequelize");
const sequelize = require("../config/db");
const Service = require("./ServiceModel");



const Category = sequelize.define("Category", {
  name: { type: DataTypes.STRING, allowNull: false, unique: true }, // Unique category name
  description: { type: DataTypes.TEXT }, // Optional description of the category
  icon: { type: DataTypes.STRING }, // URL or path for an icon representing the category
  createdAt: { type: DataTypes.DATE, defaultValue: DataTypes.NOW },
});

Category.hasMany(Service, { foreignKey: "categoryId", as: "services" });

module.exports = Category;
