const { DataTypes } = require("sequelize");
const sequelize = require("../config/db");

const Service = sequelize.define("Service", {
  name: { type: DataTypes.STRING, allowNull: false },
  level: { type: DataTypes.STRING, allowNull: false },
  categoryId: { type: DataTypes.INTEGER, allowNull: false },
  description: { type: DataTypes.TEXT },
  pricePerUnit: { type: DataTypes.DECIMAL(10, 2), allowNull: false },
  availability: { type: DataTypes.JSON },
  location: { type: DataTypes.STRING },
  rating: { type: DataTypes.DECIMAL(3, 2), defaultValue: 0.0 },
  image: { type: DataTypes.STRING },
  createdAt: { type: DataTypes.DATE, defaultValue: DataTypes.NOW },
});

module.exports = Service;
