const { DataTypes } = require("sequelize");
const sequelize = require("../config/db");

const User = sequelize.define("User", {
  name: { type: DataTypes.STRING, allowNull: false },
  email: { type: DataTypes.STRING, unique: true, allowNull: false },
  passwordHash: { type: DataTypes.STRING, allowNull: false },
  phone: { type: DataTypes.STRING },
  userType: { type: DataTypes.ENUM("client", "provider", "company"), allowNull: false },
  isVerified: { type: DataTypes.BOOLEAN, defaultValue: false },
  rating: { type: DataTypes.DECIMAL(3, 2), defaultValue: 0.0 },
  profileImage: { type: DataTypes.STRING },
});

module.exports = User;
