const express = require("express");
const BookingController = require("../controllers/bookingController");
const router = express.Router();

// Routes
router.post("/", BookingController.createBooking); // Create a new booking
router.get("/", BookingController.getAllBookings); // Fetch all bookings
router.get("/:id", BookingController.getBookingById); // Fetch booking by ID
router.get("/user/:userId", BookingController.getBookingsByUser); // Fetch bookings by user

module.exports = router;
