const express = require("express");
const ServiceController = require("../controllers/serviceController");
const router = express.Router();

router.post("/add", ServiceController.addService);
router.get("/all", ServiceController.getAllServices);
router.get("/level/:level", ServiceController.getServicesByType);
router.get("/:id", ServiceController.getServiceById); // Get a service by ID
router.put("/:id", ServiceController.updateService); // Update a service
router.delete("/:id", ServiceController.deleteService); // Delete a service
router.get("/search", ServiceController.searchServices); // Search services

module.exports = router;
