const express = require("express");
const UserController = require("../controllers/userController.js");
const router = express.Router();

// User Routes
router.post("/register", UserController.register); // Register a new user
router.post("/login", UserController.login); // Login user
router.get("/all", UserController.getAllUsers); // Get all users
router.get("/user/:id", UserController.getUserById); // Get user by ID
router.put("user/:id", UserController.updateUser); // Update user
router.delete("user/:id", UserController.deleteUser); // Delete user
router.get("/search", UserController.searchUsers); // Search users

module.exports = router;
